libxml++ 3.0.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
xmlpp::NonCopyable Class Reference

A base for classes which cannot be copied or moved. More...

`#include <libxml++/noncopyable.h>`

Inheritance diagram for xmlpp::NonCopyable:
[legend]

## Protected Member Functions
| NonCopyable () noexcept
| NonCopyable (const NonCopyable&)=delete
| NonCopyable (NonCopyable&&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete
NonCopyable& | operator= (NonCopyable&&)=delete

## Detailed Description

A base for classes which cannot be copied or moved.

## Constructor & Destructor Documentation

xmlpp::NonCopyable::NonCopyable | ( |  | ) |
| protected noexcept

virtual xmlpp::NonCopyable::~NonCopyable | ( |  | ) |
| protected virtual

xmlpp::NonCopyable::NonCopyable | ( | const NonCopyable& |  | ) |
| protected delete

xmlpp::NonCopyable::NonCopyable | ( | NonCopyable&& |  | ) |
| protected delete

## Member Function Documentation

NonCopyable& xmlpp::NonCopyable::operator= | ( | const NonCopyable& |  | ) |
| protected delete

NonCopyable& xmlpp::NonCopyable::operator= | ( | NonCopyable&& |  | ) |
| protected delete